Get a conversation
- Base URL
-
https://{kibana_url}
-
GET
/api/security_ai_assistant/current_user/conversations/{id}
-
GET
/s/{space_id}/api/security_ai_assistant/current_user/conversations/{id}
Auth
Get the details of an existing conversation using the conversation ID. This allows users to fetch the specific conversation data by its unique ID.
-
space_id
string
optional
-
An identifier for the space. If space_id is not provided in the URL, the default space is used. Refer to Spaces for more information.
-
id
string · format: nonempty · min length: 1
required
-
The conversation's id value, a unique identifier for the conversation.
-
Example:
abc123
Indicates a successful call. The conversation details are returned.
application/json
-
apiConfig
object
-
-
actionTypeId
string
required
-
Action type ID
-
connectorId
string
required
-
Connector ID
-
defaultSystemPromptId
string
-
Default system prompt ID
-
provider
enum
-
Provider
-
Values:
OpenAI
Azure OpenAI
Other
-
category
enum
required
-
The conversation category.
-
Values:
assistant
insights
-
createdAt
string
required
-
The time conversation was created.
-
createdBy
object
required
-
Could be any string, not necessarily a UUID.
-
-
excludeFromLastConversationStorage
boolean
-
Exclude from last conversation storage.
-
id
string · format: nonempty · min length: 1
required
-
A string that does not contain only whitespace characters.
-
messages
object[]
-
The conversation messages.
-
-
content
string
required
-
Message content.
-
id
string · format: nonempty · min length: 1
-
A string that does not contain only whitespace characters.
-
isError
boolean
-
Is error message.
-
metadata
object
-
Message metadata
-
-
refusal
string
-
Refusal reason returned by the model when content is filtered.
-
role
enum
required
-
Message role.
-
Values:
system
user
assistant
-
timestamp
string · format: nonempty · min length: 1
required
-
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
traceData
object
-
Trace Data
-
-
traceId
string
-
Could be any string, not necessarily a UUID
-
transactionId
string
-
Could be any string, not necessarily a UUID
-
user
object
-
Could be any string, not necessarily a UUID.
-
-
namespace
string
required
-
Kibana space
-
replacements
map string to string
-
Replacements object used to anonymize/deanonymize messages
-
timestamp
string · format: nonempty · min length: 1
-
A string that represents a timestamp in ISO 8601 format and does not contain only whitespace characters.
-
title
string
required
-
The conversation title.
-
updatedAt
string
-
The last time conversation was updated.
-
users
object[]
required
-
Thank you for your feedback.